package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Ruta;

public class RenderRuta implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
    	Ruta ruta = (Ruta) o;

    	String num = ruta.getNumRuta()==null?"":ruta.getNumRuta();
        Listcell lc = new Listcell(num);
        lc.setParent(lstm);
        
        lc = new Listcell(ruta.getPrefixo());
        lc.setParent(lstm);
        
        lc = new Listcell(ruta.getDescruta());
        lc.setParent(lstm);
        
        lc = new Listcell(ruta.getOrgaoConcedente().getDescOrgao());
        lc.setParent(lstm);

        lstm.setAttribute("data", ruta);
    }
	
}